Sync from SUSE:ALP:Source:Standard:1.0 linux-glibc-devel revision 900eec747e8d60b06a57d89a632bf905

This commit is contained in:
Adrian Schröter 2024-04-20 00:14:06 +02:00
parent d5a7f35878
commit 21bd7d0e68
5 changed files with 56617 additions and 0 deletions

15
cleanup_patch.sh Normal file
View File

@ -0,0 +1,15 @@
#!/bin/sh
#
# clean up the patch via quilt again; run on linux-glibc-devel-6.4
patchfile="$1"
p="${patchfile##*/}"
mkdir .pc
echo "2" > .pc/.version
mkdir patches
quilt import -p1 "$patchfile"
quilt push
quilt refresh -p ab --no-index --no-timestamps --sort
cp "patches/$p" "$patchfile"
exit 0

File diff suppressed because it is too large Load Diff

View File

@ -1,3 +1,32 @@
-------------------------------------------------------------------
Mon Feb 5 16:21:33 UTC 2024 - Takashi Iwai <tiwai@suse.com>
- Sync with the latest SLE15-SP6 kernel, as of commit 3a5699ce2499
(bsc#1217465): linux-glibc-devel-current.patch
* EFI update (fate#316350)
* amd/amdkfd updates (jsc#PED-3527 jsc#PED-5475 jsc#PED-6068 jsc#PED-6070 jsc#PED-6116 jsc#PED-6120 jsc#PED-5065 jsc#PED-5477 jsc#PED-5511 jsc#PED-6041 jsc#PED-6069 jsc#PED-6071)
* Sound updates (jsc#PED-6045 jsc#PED-6036 jsc#PED-6104 jsc#PED-6114 jsc#PED-6067 jsc#PED-6123)
* UAPI fixes (bsc#1217382)
* IB updates (jsc#PED-6864)
* KVM s390 updates (jsc#PED-5441)
* RDMA updates (jsc#PED-7574 jsc#PED-6864)
* Block updates (bsc#1012628 jsc#PED-3545 bsc#1216436 bsc#1216435 bsc#1218003)
* BPF updates (jsc#PED-6811)
* virtual/devlink updates (jsc#PED-3311 jsc#PED-7785 jsc#PED-5853 jsc#PED-5505)
* DPLL updates (jsc#PED-6079)
* FUSE fix (bsc#1012628)
* io_uring updates (bsc#1215211)
* MD fix (bnc#763402)
* Media fixes (bsc#1012628)
* Net updates (jsc#PED-4876 jsc#PED-4860 jsc#PED-6079 jsc#PED-7574)
* perf updates (jsc#PED-6012 jsc#PED-6121)
* Arm64 updates (jsc#PED-5458)
* PowerPC updates (jsc#PED-4486 jsc#PED-5452)
* S390 updates (jsc#PED-6371 jsc#PED-3289 jsc#PED-5417 bsc#1218992)
* X86 updates (jsc#PED-6018 bsc#1216611)
* WiFi updates (jsc#PED-6081 jsc#PED-6130)
- Add scripts to create a patch from kernel-source git tree
-------------------------------------------------------------------
Mon Jun 26 08:03:11 UTC 2023 - Andreas Schwab <schwab@suse.de>

View File

@ -25,6 +25,9 @@ Group: Development/Libraries/C and C++
URL: http://www.kernel.org/
Source: %{name}-%{version}.tar.xz
Source1: install_all.sh
Source2: make_diff.sh
Source3: cleanup_patch.sh
Patch1: %{name}-current.patch
BuildRequires: xz
# rpm-build requires gettext-tools; ignore this, in order to shorten cycles (we have no translations)
#!BuildIgnore: gettext-tools
@ -95,6 +98,7 @@ required for compilation of almost all programs.
%prep
%setup -q -n linux-glibc-devel-%{version}
%patch1 -p1
%build
for karch in *; do

97
make_diff.sh Normal file
View File

@ -0,0 +1,97 @@
#!/bin/bash
#
# Create a patch file between the base version and the current kernel-source
# Run on kernel-source.git repository:
# % make_diff.sh /somewhere/linux-glibc-devel-6.4.tar.xz
#
set -e
if [ -z "$1" ]; then
echo "usage: make_diff.sh base-tarball [patchfile]"
exit 1
fi
base="$1"
case "$base" in
*/linux-glibc-devel-*.tar.*)
;;
*)
echo "Invalid base tarball $1"
exit 1;;
esac
if [ ! -f "$base" ]; then
echo "Invalid base tarball $base"
exit 1
fi
basever=${base##*/}
basever=${basever%.tar.*}
test -z "$SCRATCH_AREA" && export SCRATCH_AREA=/dev/shm/scratch
mkdir -p $SCRATCH_AREA
destdir="$SCRATCH_AREA/linux-glibc-devel"
patchfile="$2"
test -z "$patchfile" && patchfile=linux-glibc-devel-current.patch
case "$patchfile" in
/*)
;;
*)
patchfile="$PWD/$patchfile";;
esac
susecommit=$(git rev-parse HEAD)
scripts/sequence-patch.sh --rapid --patch-dir "$destdir" || exit 1
cd "$destdir" || exit 1
kernel_dir="$PWD"
header_dir="$PWD/linux-glibc-devel-current"
mkdir -p "$header_dir"
remove="arc csky h8300 hexagon microblaze nds32 nios2 openrisc sh xtensa um"
archs=$(cd "$kernel_dir/arch" &&
for arch in *; do
test -d $arch || continue
case " $remove " in *" $arch "*) continue;; esac
echo $arch
done)
pushd "$kernel_dir"
for arch in $archs; do
mkdir "$header_dir/$arch"
cp Makefile "$header_dir/$arch"
make O="$header_dir/$arch" headers_install ARCH=$arch
done
popd
pushd "$header_dir"
find -type f \( -name ".*.cmd" -o -name Makefile \) -exec rm -f {} +
for arch in $archs; do
cd $arch
#-------------------------------------------------------------------
#Fri Sep 5 10:43:49 CEST 2008 - matz@suse.de
#- Remove the kernel version of drm headers, they conflict
# with the libdrm ones, and those are slightly newer.
#
rm -rf usr/include/drm/
# Remove confusing empty uapi directory
test ! -d usr/include/uapi || rmdir usr/include/uapi
for dir in *; do
case "$dir" in
usr) ;;
*)
if test -d "$dir"; then
rm -rf "$dir"
fi
;;
esac
done
cd ..
done
popd
tar xf "$base"
echo "kernel-source.git: $susecommit" > "$patchfile"
echo >> "$patchfile"
diff -ruN "$basever" linux-glibc-devel-current >> "$patchfile"
exit 0